Skip to main content
GET
/
v1
/
report
/
insight
/
benchmarking
/
ad-density
/report/insight/benchmarking/ad-density
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/benchmarking/ad-density \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/ad-density"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/ad-density', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "data": {
      "heavy_ad_intervention": {
        "publisher": 0.004086538461538462,
        "cohort": 0.003981294402783926,
        "network": 0.0013828883050641242
      },
      "mobile_ad_density": {
        "publisher": 0.010700000000000001,
        "cohort": 0.02605,
        "network": 0.08756590909090908
      }
    }
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer
required

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

exclude_pubs
enum<string>
default:yes

Excludes publisher data from the Network and Cohort for users organisation

Available options:
yes,
no

Response

200 - application/json
results
object
required
success
boolean
required